%if 0

English messages for SHUFHOOK
 2021 by C. Masloch

Usage of the works is permitted provided that this
instrument is retained with the works, so that any entity
that uses the works is notified of this instrument.

DISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.

%endif

.noop:		ascic "No operation specified.",13,10
.nomcb:		ascic "No starting MCB found, invalid List of Lists.",13,10
.bubble.signon:	ascic "Bubbling interrupt handlers to topmost.",13,10
.bubble.noint:	ascic "No interrupts to bubble specified.",13,10
.bubble.noseg:	ascic "No match criterion for interrupt handlers specified.",13,10
.invalid_interrupt_1:
.double_interrupt_1:
		db "Error: Interrupt ",36
.invalid_interrupt_2:
		db "h is invalid to specify.",13,10,36
.double_interrupt_2:
		db "h specified multiple times.",13,10,36
.all_none:	ascic "No match for any interrupts found.",13,10
.handlersbad:	db "error, invalid interrupt handlers. Use inst2d2f.",13,10,36
.help:		db "Shuffle interrupt hooks.",13,10
		db "Free software by C. Masloch",13,10
		db "Parameters:",13,10
		db "        NN       Operate on interrupt number NNh (multiple valid)",13,10
		db "        all      Operate on all interrupts that match",13,10
		db "Options:",13,10
		db "        /b       Bubble up listed interrupts",13,10
		db "        /s=NNNN  Set segment to match to NNNNh",13,10
		db "        /m=NAME  Set MCB name to match to NAME (case-insensitive)",13,10
		db "        /l=NNNN  Set length of IISP handlers chain to move, number or MAX",13,10
		db "        /p       Handle top-reachable IISP handler like non-IISP",13,10
		db "        /?, /h   This help message",13,10
		db 13,10
		db "The switch character - is also accepted."
.crlf:		db 13,10,36
.bubble.simple.1:	ascic "Handler for interrupt "
.bubble.simple.4:	ascic "h is already the topmost handler.",13,10

	align 2, db 0
.bubble.table.noniisp:
	dw .bubble.display.1.singular.noniisp
	dw .bubble.display.1.plural.noniisp
	dw .bubble.display.2.plural.noniisp
.bubble.table.iisp:
	dw .bubble.display.1.singular.iisp
	dw .bubble.display.1.plural.iisp
	dw .bubble.display.2.plural.iisp

.bubble.display.1.singular.noniisp:
			ascic "Bubbling a non-"
.bubble.display.1.singular.iisp:
			ascic "Bubbling an "
.bubble.display.1.plural.noniisp:
.bubble.display.1.plural.iisp:
			ascic "Bubbling "
.bubble.display.2.plural.noniisp:
			ascic " non-"
.bubble.display.2.plural.iisp:
			ascic " "
.bubble.display.3.singular:
			ascic "IISP handler for interrupt "
.bubble.display.3.plural:
			ascic "IISP handlers for interrupt "
.bubble.complex.2:	ascic " Moving handlers behind handler at "
.bubble.complex2.3:
.bubble.complex.3:	ascic "h.",13,10
.bubble.complex2.2:	ascic " Reached from reference in handler at "
.bubble.matchnotref.2:
.bubble.newnotfound.2:
.bubble.matchnoiisp.2:
.bubble.lengthtoohigh.2:
.bubble.2:		ascic "h at "
.bubble.3:		ascic "h:"
.bubble.4:		ascic "h up past "
.bubble.5.singular:	ascic " handler.",13,10
.bubble.5.unknown:	db "unknown amount"
.bubble.5.plural:	ascic " handlers.",13,10
.bubble.matchnotfound.1:ascic "Match for interrupt "
.bubble.matchnotfound.2:ascic "h not found.",13,10
.bubble.matchnotref.3:	ascic "h found, but no reference is discoverable.",13,10
.bubble.newnotfound.1:	ascic "Handler to move behind for interrupt "
.bubble.newnotfound.3:	db "h not found.",13,10
			ascic " You have to run ",34,"KEEPHOOK /C "
.bubble.newnotfound.4:	ascic 34," before installing the handler to bubble.",13,10
.bubble.matchnotref.1:
.bubble.matchnoiisp.1:	ascic "Matched handler for interrupt "
.bubble.matchnoiisp.3:	ascic "h is non-IISP and behind a non-IISP handler.",13,10
.bubble.lengthtoohigh.1:ascic "Matched IISP handler for interrupt "
.bubble.lengthtoohigh.3:ascic "h not followed by "
.bubble.lengthtoohigh.4:ascic " IISP handlers.",13,10
.di_empty:	asciz "empty MCB name"
.di_system_mcb:	asciz "system MCB"
.di_system_upper:
		asciz "system in UMA"
.di_system_low:	asciz "system in LMA"
.di_hma:	asciz "high memory area"
